﻿namespace SfSchedule_NavigationButton.Models
{
    public class OrderItem : ObservableObject
    {
        public InventarItem InventarItem { get; set; }

        public bool HasCollision { get; set; }

        public bool IsTemporaryOrderItem { get; set; }

        public OrderItem(InventarItem inventarItem)
        {
            InventarItem = inventarItem;
            HasCollision = false;
            IsTemporaryOrderItem = false;
        }

        public OrderItem(InventarItem inventarItem, bool hasCollision)
        {
            InventarItem = inventarItem;
            HasCollision = hasCollision;
            IsTemporaryOrderItem = false;
        }

        
        public OrderItem(InventarItem inventarItem, bool hasCollision, bool isTemporaryOrderItem)
        {
            InventarItem = inventarItem;
            HasCollision = hasCollision;
            IsTemporaryOrderItem = isTemporaryOrderItem;
        }
    }
}