﻿namespace SfSchedule_NavigationButton.Models
{
    public class ProductGroup : ObservableObject
    {
        public static readonly ProductGroup AllWildCardGroup = new ProductGroup(-1, "Alle Produktgruppen", false);

        public int Id { get; set; }

        public string Name { get; set; }     
        
        public bool IsMontageRelevant { get; set; }

        public ProductGroup(int id, string name, bool isMontageRelevant)
        {
            Id = id;
            Name = name;
            IsMontageRelevant = isMontageRelevant;
        }

        public ProductGroup() { }
    }
}